<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-shipment-heading" jhiTranslate="restaurantApplicationApp.shipment.home.createOrEditLabel">Create or edit a Shipment</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!shipment.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="shipment.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.shipment.trackingCode" for="field_trackingCode">Tracking Code</label>
                    <input type="text" class="form-control" name="trackingCode" id="field_trackingCode"
                        [(ngModel)]="shipment.trackingCode" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.shipment.date" for="field_date">Date</label>
                    <div class="d-flex">
                        <input id="field_date" type="datetime-local" class="form-control" name="date" [(ngModel)]="date" placeholder="YYYY-MM-DD HH:mm"
                        required/>
                    </div>
                    <div [hidden]="!(editForm.controls.date?.dirty && editForm.controls.date?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.date?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.controls.date?.errors?.ZonedDateTimelocal" jhiTranslate="entity.validation.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.shipment.details" for="field_details">Details</label>
                    <input type="text" class="form-control" name="details" id="field_details"
                        [(ngModel)]="shipment.details" />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.shipment.invoice" for="field_invoice">Invoice</label>
                    <select class="form-control" id="field_invoice" name="invoice" [(ngModel)]="shipment.invoice"  required>
                        <option *ngIf="!editForm.value.invoice" [ngValue]="null" selected></option>
                        <option [ngValue]="invoiceOption.id === shipment.invoice?.id ? shipment.invoice : invoiceOption" *ngFor="let invoiceOption of invoices; trackBy: trackInvoiceById">{{invoiceOption.code}}</option>
                    </select>
                </div>
                <div [hidden]="!(editForm.controls.invoice?.dirty && editForm.controls.invoice?.invalid)">
                    <small class="form-text text-danger"
                        [hidden]="!editForm.controls.invoice?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                    </small>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
